%
%  honeycomb_materials.m  ver 1.0  March 26, 2012
%
function[h,D,rho,mu]=honeycomb_materials(iu,L,W)
%    
    if(iu==1)
        disp(' ');
        disp(' Enter core thickness (inch)')
        c=input(' ');
%
        disp(' ');
        disp(' Enter individual face sheet thickness (inch)')
        t=input(' ');
    else
        disp(' ');
        disp(' Enter core thickness (mm)')
        c=input(' ');
        c=c/1000;
%
        disp(' ');
        disp(' Enter individual face sheet thickness (mm)')
        t=input(' ');
        t=t/1000;
    end
%
    disp(' ');
    disp(' Select face sheet material ');
    disp(' 1=aluminum  2=other ');
    imat = input(' ');
%
    if(imat==1)
        if(iu==1)
            E=1.0e+07;
            rho=0.1;
        else
            E=6.891e+010;
            rho=2768;
        end
        mu=0.3;
    else
        if(iu==1)
            disp(' ');
            disp(' Enter elastic modulus of face sheets (lbf/in^2)');
            disp(' ');
            E=input(' ');
            disp(' ');
            rho = input(' Enter the face sheet mass density (lbm/in^3) ');     
        else
            disp(' ');   
            disp(' Enter the elastic modulus of face sheets (N/m^2) ');
             E=input(' ');
            disp(' ');       
            rho = input(' Enter the face sheet mass density (kg/m^3) ');    
        end
        disp(' ');
        mu=input(' Enter the face sheet Poisson ratio ');  
    end
%
    if(iu==1)
        disp(' ');
        rho_core = input(' Enter the core mass density (lbm/in^3) ');
    else
        disp(' ');
        rho_core = input(' Enter the core mass density (kg/m^3) ');
    end
%
    area=L*W;
    mass_face=area*(2*t)*rho;
    mass_core=area*c*rho_core;
    mass=mass_face+mass_core;
%
    H=c+t;
    D=E/(1-mu^2);
    D=(D*t*H^2)/2;
%
    thickness = c+2*t;
    h=thickness;
    volume = area*thickness;
    rho = mass/volume;
%
    out1=sprintf('  mass=%8.4g  volume=%8.4g  \n',mass,volume);
    disp(out1);
%
    smass=mass;
%
    if(iu==1)
        rho=rho/386.;
    end